{#
/**
 * @file
 * Template for a Dropdown menu component.
 *
 * Changes against Radix:
 * - Added direction
 * - Added is_hover_nav
 * - Added is_dropdown_toggle_static
 * - Added overview_link
 * - Accepts expand_active_trail attribute from drowl_base:nav to show embeded dropdowns open if its the active trail
 * - Replaced the menu links with our drowl_base:nav-item-link SDC
 */
#}

{%
  set menu_classes = [
    'dropdown-menu'
  ]|merge(menu_utility_classes )
%}

{% if (items|length) > 0 %}
  <ul class="{{ menu_classes|join(' ') }}">
    {% if overview_link %}
      {% block overview_item %}
        <li class="nav-item nav-item--overview">
          {%- include 'drowl_base:nav-item-link' with {
            menu_item: overview_link,
            menu_item_label: 'Overview'|t,
            is_active: overview_link.in_active_trail,
            is_nav_link: true,
            is_hover_nav: false,
            is_dropdown_toggle: false,
            link_classes: nav_link_classes,
            icon_name_class: 'ico-grid',
            icon_position: overview_link.entity.field_icon_position.value,
          } -%}
        </li>
      {% endblock overview_item %}
    {% endif %}
    {% for item in items %}
      {% set has_submenu = item.below|length %}
      {% set nav_link_classes = [
        'nav-link',
        'dropdown-item',
        item.in_active_trail ? 'active' : '',
        has_submenu ? 'dropdown-toggle': ''
        ] %}
      {% if item.url.options.attributes.class is iterable %}
        {% set nav_link_classes = nav_link_classes|merge(item.url.options.attributes.class) %}
      {% elseif item.url.options.attributes.class %}
        {% set nav_link_classes = nav_link_classes|merge([item.url.options.attributes.class]) %}
      {% endif %}

      {# Add dropdown & dropup class to the center directions #}
      {% if direction == 'dropdown-center' %}
        {% set direction = 'dropdown dropdown-center' %}
      {% endif %}
      {% if direction == 'dropdup-center' %}
        {% set direction = 'dropup dropup-center' %}
      {% endif %}

      {% if has_submenu %}
        <li class="nav-item {{ direction|default('dropdown') }}">
          {# <a href="{{ item.url }}" class="{{ nav_link_classes|join(' ') }}" data-bs-toggle="dropdown">{{ item.title }}</a> #}
          {% include 'drowl_base:nav-item-link' with {
            menu_item: item,
            is_active: item.in_active_trail,
            is_dropdown_toggle: item.is_expanded and item.below,
            link_classes: nav_link_classes,
            icon_name_class: item.entity.field_icon.0 ? item.entity.field_icon.value : '',
            icon_position: item.entity.field_icon_position.0 ? item.entity.field_icon_position.value : 'icon_position_left',
          } %}
          {% include 'radix:dropdown-menu' with {
            overview_link: overview_link ? item|without('below') : [],
            dropdown_menu_classes: expand_active_trail and item.in_active_trail ? 'show' : '',
            items: item.below
          } %}
        </li>
      {% else %}
        <li class="nav-item">
          <a href="{{ item.url }}" class="{{ nav_link_classes|join(' ') }}">{{ item.title }}</a>
        </li>
      {% endif %}
    {% endfor %}
  </ul>
{% endif %}
